> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1admincustomers lifecycle



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/admin/customers/{customerID}/lifecycle
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/customers/{customerID}/lifecycle:
    post:
      tags:
        - customers
      operationId: applyCustomerLifecycle
      parameters:
        - $ref: '#/components/parameters/CustomerID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LifecycleInput'
      responses:
        '200':
          description: Customer lifecycle updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '409':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  parameters:
    CustomerID:
      in: path
      name: customerID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    LifecycleInput:
      type: object
      required:
        - action
        - reason
        - actorType
      properties:
        action:
          type: string
          enum:
            - suspend
            - restore
            - delete
            - anonymize
        reason:
          type: string
        actorType:
          type: string
          enum:
            - customer
            - operator
            - system
        actorID:
          type: string
    Customer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - active
            - suspended
            - deleted
        locale:
          type: string
        timezone:
          type: string
        suspendedAt:
          type: string
          format: date-time
          nullable: true
        deletedAt:
          type: string
          format: date-time
          nullable: true
        anonymizedAt:
          type: string
          format: date-time
          nullable: true
        retentionUntil:
          type: string
          format: date-time
          nullable: true
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.